FROM node:12-alpine as build

WORKDIR /app

COPY todo-app /app/

RUN ls -lah /app

RUN npm install
# We want the production version
RUN npm run build

# Prepare nginx
FROM nginx:1.19.0-alpine
COPY --from=build /app/build /usr/share/nginx/html
RUN rm /etc/nginx/conf.d/default.conf
COPY todo-app/nginx/nginx.conf /etc/nginx/conf.d

EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]